# Contenu

## Props

<!-- @vuese:Contenu:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|auteur|L'auteur connecté|—|`false`|-|
|contenuAjoute|Variable contenant un contenu ajouté, à destination de Volet_Base|—|`false`|-|
|nvoContenu|Variable contenant un "nouveau contenu", créé à partir d'une demande de publication, à destination de Volet_Base|—|`false`|-|
|majContenus|Signal d'alerte pour mettre à jour les contenus|—|`false`|-|
|darktheme|Signal d'activation ou non du theme sombre|—|`false`|-|
|deconnexion|Signal de déconnexion|—|`false`|-|
|etat|etat. Sera utile pour certaines réinitialisations de l'affichage|—|`false`|-|

<!-- @vuese:Contenu:props:end -->


## Events

<!-- @vuese:Contenu:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|choix_variante|Transmission du booléen concernant la variante|True si variante active, False sinon|
|volet_desactive|-|-|
|newContenu|Evenement à destination de Volet_Base|-|
|rechercherNouvellesPublications|-|-|
|ChangerTitre|-|-|
|chargerTagsLibres|-|-|

<!-- @vuese:Contenu:events:end -->


## Methods

<!-- @vuese:Contenu:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|choixVariante|Transmission du choix concernant la variante (à destination du composant Menu)|-|
|voletDesactive|Permet de transmettre l'information sur le fait que le volet soit actif ou non|-|
|newContenu|Transmission de l'information concernant la création d'un nouveau contenu|-|
|rechercherNouvellesPublications|Signal pour déclencher la recherche de nouvelles publications|-|
|ChangerTitre|Signal de changement d'un titre (consultation d'un contenu panier, banque ou maj)|-|
|chargerTagsLibres|Permet de passer le signal pour charger le composant "GererTagsLibres"|-|

<!-- @vuese:Contenu:methods:end -->


